function [J, grad] = costFunction(theta, X, y)

%   COSTFUNCTION Compute cost and gradient for logistic regression
%   J = COSTFUNCTION(theta, X, y) computes the cost of X using theta as the
%   parameter for logistic regression and the gradient of the cost

m = size(X,1); % number of training examples

Xt = X*theta; % (m,1)
Htheta_X = sigmoid(Xt); % (m,1)

J = -1/m*sum(y.*log(Htheta_X) + (ones(m,1)-y).*log(ones(m,1) - Htheta_X));

grad = (X'*(Htheta_X-y))/m;% (n+1 , 1) number of features

end
