function p = predict(theta, X)

%   PREDICT Predict whether the label is 0 or 1
%   using your learned logistic regression parameters theta
%   p = PREDICT(theta, X) computes the predictions for X using a 
%   threshold at 0.5 (i.e., if sigmoid(theta'*x) >= 0.5, predict 1)
%   You should set p to a vector of 0's and 1's

m = size(X, 1); % Number of training examples

p = zeros(m,1);
p(sigmoid(X*theta) >= 0.5) = 1;

end
